<?xml version="1.0" encoding="gbk" standalone="no"?>
<!DOCTYPE sqlMap PUBLIC "-//iBATIS.com//DTD SQL Map 2.0//EN" "http://ibatis.apache.org/dtd/sql-map-2.dtd">
<sqlMap namespace="" >
<!-- 	<typeAlias alias="Ywmachinestatusinfobean" type="cn.vp.XXX.model.YwmachinestatusinfoBean"/> -->	<typeAlias alias="Ywmachinestatusinfo" type="cn.im.ywgl.YwmachinestatusinfoBean"/>
	
	<sql id="condition_Ywmachinestatusinfo">
		where 1=1
		<isNotEmpty prepend='AND ' property='LIKEmachinestatusid'>
			(machinestatusid like '%$LIKEmachinestatusid$%'   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='machinestatusid'>
			(machinestatusid = #machinestatusid#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEmachineid'>
			(machineid like '%$LIKEmachineid$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='machineid'>
			(machineid = #machineid# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEmachinename'>
			(machinename like '%$LIKEmachinename$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='machinename'>
			(machinename = #machinename# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEmachinedevicetype'>
			(machinedevicetype like '%$LIKEmachinedevicetype$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='machinedevicetype'>
			(machinedevicetype = #machinedevicetype# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEmachinedeviceid'>
			(machinedeviceid like '%$LIKEmachinedeviceid$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='machinedeviceid'>
			(machinedeviceid = #machinedeviceid# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEharddiskdrive'>
			(harddiskdrive like '%$LIKEharddiskdrive$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='harddiskdrive'>
			(harddiskdrive = #harddiskdrive# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEdevicecapacity'>
			(devicecapacity like '%$LIKEdevicecapacity$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='devicecapacity'>
			(devicecapacity = #devicecapacity# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEcurrentusage'>
			(currentusage like '%$LIKEcurrentusage$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='currentusage'>
			(currentusage = #currentusage# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEmachinedevicestatus'>
			(machinedevicestatus like '%$LIKEmachinedevicestatus$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='machinedevicestatus'>
			(machinedevicestatus = #machinedevicestatus# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEfailurecause'>
			(failurecause like '%$LIKEfailurecause$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='failurecause'>
			(failurecause = #failurecause# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEstatusuptime'>
			(statusuptime like '%$LIKEstatusuptime$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='statusuptime'>
			(statusuptime = #statusuptime# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEstatusupbatch'>
			(statusupbatch like '%$LIKEstatusupbatch$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='statusupbatch'>
			(statusupbatch = #statusupbatch# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKErunprogress'>
			(runprogress like '%$LIKErunprogress$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='runprogress'>
			(runprogress = #runprogress# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEcreateaccount'>
			(createaccount like '%$LIKEcreateaccount$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='createaccount'>
			(createaccount = #createaccount# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEcreatetime'>
			(createtime like '%$LIKEcreatetime$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='createtime'>
			(createtime = #createtime# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEmodifyaccount'>
			(modifyaccount like '%$LIKEmodifyaccount$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='modifyaccount'>
			(modifyaccount = #modifyaccount# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEmodifytime'>
			(modifytime like '%$LIKEmodifytime$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='modifytime'>
			(modifytime = #modifytime# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEremarks'>
			(remarks like '%$LIKEremarks$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='remarks'>
			(remarks = #remarks# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEextend1'>
			(extend1 like '%$LIKEextend1$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='extend1'>
			(extend1 = #extend1# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEextend2'>
			(extend2 like '%$LIKEextend2$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='extend2'>
			(extend2 = #extend2# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEextend3'>
			(extend3 like '%$LIKEextend3$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='extend3'>
			(extend3 = #extend3# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEextend4'>
			(extend4 like '%$LIKEextend4$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='extend4'>
			(extend4 = #extend4# )
		</isNotEmpty>
		<isNotEmpty property='tableparam'>
			$tableparam$
		</isNotEmpty>
		<isNotEmpty property='order'>
			$order$
		</isNotEmpty>
	</sql>
	
	<!-- add object -->
	<insert id="insert_Ywmachinestatusinfo" parameterClass="java.util.Map">
		insert into 
		ywmachinestatusinfo(
		<dynamic prepend=" ">  
			<isNotEmpty prepend=',' property='machinestatusid'>machinestatusid</isNotEmpty>
			<isNotEmpty prepend=',' property='machineid'>machineid</isNotEmpty>
			<isNotEmpty prepend=',' property='machinename'>machinename</isNotEmpty>
			<isNotEmpty prepend=',' property='machinedevicetype'>machinedevicetype</isNotEmpty>
			<isNotEmpty prepend=',' property='machinedeviceid'>machinedeviceid</isNotEmpty>
			<isNotEmpty prepend=',' property='harddiskdrive'>harddiskdrive</isNotEmpty>
			<isNotEmpty prepend=',' property='devicecapacity'>devicecapacity</isNotEmpty>
			<isNotEmpty prepend=',' property='currentusage'>currentusage</isNotEmpty>
			<isNotEmpty prepend=',' property='machinedevicestatus'>machinedevicestatus</isNotEmpty>
			<isNotEmpty prepend=',' property='failurecause'>failurecause</isNotEmpty>
			<isNotEmpty prepend=',' property='statusuptime'>statusuptime</isNotEmpty>
			<isNotEmpty prepend=',' property='statusupbatch'>statusupbatch</isNotEmpty>
			<isNotEmpty prepend=',' property='runprogress'>runprogress</isNotEmpty>
			<isNotEmpty prepend=',' property='createaccount'>createaccount</isNotEmpty>
			<isNotEmpty prepend=',' property='createtime'>createtime</isNotEmpty>
			<isNotEmpty prepend=',' property='modifyaccount'>modifyaccount</isNotEmpty>
			<isNotEmpty prepend=',' property='modifytime'>modifytime</isNotEmpty>
			<isNotEmpty prepend=',' property='remarks'>remarks</isNotEmpty>
			<isNotEmpty prepend=',' property='extend1'>extend1</isNotEmpty>
			<isNotEmpty prepend=',' property='extend2'>extend2</isNotEmpty>
			<isNotEmpty prepend=',' property='extend3'>extend3</isNotEmpty>
			<isNotEmpty prepend=',' property='extend4'>extend4</isNotEmpty>

		</dynamic>  
	    <![CDATA[ 
	        ) values ( 
	    ]]>  
	     <dynamic prepend=" "> 
			<isNotEmpty prepend=',' property='machinestatusid'>#machinestatusid#</isNotEmpty>
			<isNotEmpty prepend=',' property='machineid'>#machineid#</isNotEmpty>
			<isNotEmpty prepend=',' property='machinename'>#machinename#</isNotEmpty>
			<isNotEmpty prepend=',' property='machinedevicetype'>#machinedevicetype#</isNotEmpty>
			<isNotEmpty prepend=',' property='machinedeviceid'>#machinedeviceid#</isNotEmpty>
			<isNotEmpty prepend=',' property='harddiskdrive'>#harddiskdrive#</isNotEmpty>
			<isNotEmpty prepend=',' property='devicecapacity'>#devicecapacity#</isNotEmpty>
			<isNotEmpty prepend=',' property='currentusage'>#currentusage#</isNotEmpty>
			<isNotEmpty prepend=',' property='machinedevicestatus'>#machinedevicestatus#</isNotEmpty>
			<isNotEmpty prepend=',' property='failurecause'>#failurecause#</isNotEmpty>
			<isNotEmpty prepend=',' property='statusuptime'>#statusuptime#</isNotEmpty>
			<isNotEmpty prepend=',' property='statusupbatch'>#statusupbatch#</isNotEmpty>
			<isNotEmpty prepend=',' property='runprogress'>#runprogress#</isNotEmpty>
			<isNotEmpty prepend=',' property='createaccount'>#createaccount#</isNotEmpty>
			<isNotEmpty prepend=',' property='createtime'>#createtime#</isNotEmpty>
			<isNotEmpty prepend=',' property='modifyaccount'>#modifyaccount#</isNotEmpty>
			<isNotEmpty prepend=',' property='modifytime'>#modifytime#</isNotEmpty>
			<isNotEmpty prepend=',' property='remarks'>#remarks#</isNotEmpty>
			<isNotEmpty prepend=',' property='extend1'>#extend1#</isNotEmpty>
			<isNotEmpty prepend=',' property='extend2'>#extend2#</isNotEmpty>
			<isNotEmpty prepend=',' property='extend3'>#extend3#</isNotEmpty>
			<isNotEmpty prepend=',' property='extend4'>#extend4#</isNotEmpty>

		 </dynamic>  
	    <![CDATA[ 
	        ) 
	    ]]> 
	</insert>
	
	<!-- edit object  -->
	<update id="update_Ywmachinestatusinfo" parameterClass="java.util.Map">
		update ywmachinestatusinfo 
		<dynamic prepend="set ">   
			
			<isNotEmpty prepend=',' property='machineid'>machineid=#machineid#</isNotEmpty>
			<isNotEmpty prepend=',' property='machinename'>machinename=#machinename#</isNotEmpty>
			<isNotEmpty prepend=',' property='machinedevicetype'>machinedevicetype=#machinedevicetype#</isNotEmpty>
			<isNotEmpty prepend=',' property='machinedeviceid'>machinedeviceid=#machinedeviceid#</isNotEmpty>
			<isNotEmpty prepend=',' property='harddiskdrive'>harddiskdrive=#harddiskdrive#</isNotEmpty>
			<isNotEmpty prepend=',' property='devicecapacity'>devicecapacity=#devicecapacity#</isNotEmpty>
			<isNotEmpty prepend=',' property='currentusage'>currentusage=#currentusage#</isNotEmpty>
			<isNotEmpty prepend=',' property='machinedevicestatus'>machinedevicestatus=#machinedevicestatus#</isNotEmpty>
			<isNotEmpty prepend=',' property='failurecause'>failurecause=#failurecause#</isNotEmpty>
			<isNotEmpty prepend=',' property='statusuptime'>statusuptime=#statusuptime#</isNotEmpty>
			<isNotEmpty prepend=',' property='statusupbatch'>statusupbatch=#statusupbatch#</isNotEmpty>
			<isNotEmpty prepend=',' property='runprogress'>runprogress=#runprogress#</isNotEmpty>
			<isNotEmpty prepend=',' property='createaccount'>createaccount=#createaccount#</isNotEmpty>
			<isNotEmpty prepend=',' property='createtime'>createtime=#createtime#</isNotEmpty>
			<isNotEmpty prepend=',' property='modifyaccount'>modifyaccount=#modifyaccount#</isNotEmpty>
			<isNotEmpty prepend=',' property='modifytime'>modifytime=#modifytime#</isNotEmpty>
			<isNotEmpty prepend=',' property='remarks'>remarks=#remarks#</isNotEmpty>
			<isNotEmpty prepend=',' property='extend1'>extend1=#extend1#</isNotEmpty>
			<isNotEmpty prepend=',' property='extend2'>extend2=#extend2#</isNotEmpty>
			<isNotEmpty prepend=',' property='extend3'>extend3=#extend3#</isNotEmpty>
			<isNotEmpty prepend=',' property='extend4'>extend4=#extend4#</isNotEmpty>

		</dynamic>
		where 1=1 
			<isNotEmpty prepend='AND ' property='XGTJmachinestatusid'> machinestatusid = #XGTJmachinestatusid#</isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJmachineid'> machineid = #XGTJmachineid# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJmachinename'> machinename = #XGTJmachinename# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJmachinedevicetype'> machinedevicetype = #XGTJmachinedevicetype# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJmachinedeviceid'> machinedeviceid = #XGTJmachinedeviceid# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJharddiskdrive'> harddiskdrive = #XGTJharddiskdrive# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJdevicecapacity'> devicecapacity = #XGTJdevicecapacity# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJcurrentusage'> currentusage = #XGTJcurrentusage# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJmachinedevicestatus'> machinedevicestatus = #XGTJmachinedevicestatus# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJfailurecause'> failurecause = #XGTJfailurecause# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJstatusuptime'> statusuptime = #XGTJstatusuptime# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJstatusupbatch'> statusupbatch = #XGTJstatusupbatch# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJrunprogress'> runprogress = #XGTJrunprogress# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJcreateaccount'> createaccount = #XGTJcreateaccount# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJcreatetime'> createtime = #XGTJcreatetime# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJmodifyaccount'> modifyaccount = #XGTJmodifyaccount# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJmodifytime'> modifytime = #XGTJmodifytime# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJremarks'> remarks = #XGTJremarks# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJextend1'> extend1 = #XGTJextend1# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJextend2'> extend2 = #XGTJextend2# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJextend3'> extend3 = #XGTJextend3# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJextend4'> extend4 = #XGTJextend4# </isNotEmpty>

	</update>
	
	<!-- delete object -->
	<delete id="delete_Ywmachinestatusinfo" parameterClass="java.util.Map">
		delete from ywmachinestatusinfo 
		<include refid="condition_Ywmachinestatusinfo"/>
	</delete>
	
	<!-- batch delete object -->
	<delete id="batch_delete_Ywmachinestatusinfo" parameterClass="java.util.Map">
		delete from ywmachinestatusinfo 
		where 1=1
			<isNotEmpty prepend='AND ' property='keyword'>
			key  in (#keyword#)
			</isNotEmpty>
	</delete>
	
	<!-- query objects by page-->
	<select id="query_Ywmachinestatusinfo" resultClass="java.util.HashMap" parameterClass="java.util.Map">
		select a.*,b.machineip from (
		select 	statusupbatch,machineid	from ywmachinestatusinfo
		<include refid="condition_Ywmachinestatusinfo"/>
			GROUP BY statusupbatch,machineid) a
		left join ywmachineinfo b on a.machineid = b.machineid
	</select>

	<select id="query_YwNoTaskmachinestatusinfo" resultClass="java.util.HashMap" parameterClass="java.util.Map">
		select a.*,b.csmc from (select machineid,machinename,machineip,detectionswitch from  ywmachineinfo
		 where machineid not in (select
		machineid
		from ywmachinestatusinfo b
		<include refid="condition_Ywmachinestatusinfo"/>
		and machineid=b.machineid
		)) a left join xtcl b on a.detectionswitch = b.csdm and b.csdl = 'ywTaskEnable'
	</select>

	<select id="count_YwNoTaskmachinestatusinfo" resultClass="java.lang.Integer" parameterClass="java.util.Map">
		select count(machineid) from  ywmachineinfo where machineid not in (select
		machineid
		from ywmachinestatusinfo b
		<include refid="condition_Ywmachinestatusinfo"/>
		and machineid=b.machineid
		)
	</select>

	<select id="getYwmachinestatusinfoDetail" resultClass="java.util.HashMap" parameterClass="java.util.Map">
		select a.*,b.machineip from (
		select 
			machinestatusid,machineid,machinename,machinedevicetype,machinedeviceid,harddiskdrive,devicecapacity,currentusage,machinedevicestatus,failurecause,statusuptime,statusupbatch,runprogress,createaccount,createtime,modifyaccount,modifytime,remarks,extend1,extend2,extend3,extend4
		from ywmachinestatusinfo 
		<include refid="condition_Ywmachinestatusinfo"/>
		) a 
		left join ywmachineinfo b on a.machineid = b.machineid
	</select>
	<!-- query objects totalcount -->
	<select id="count_Ywmachinestatusinfo" resultClass="java.lang.Integer" parameterClass="java.util.Map">
		select count(*) from (
		select 
			statusupbatch,machineid
		from ywmachinestatusinfo 
		<include refid="condition_Ywmachinestatusinfo"/>
		GROUP BY statusupbatch,machineid
		) a
	</select>
	
	<!-- batch add objects -->
	<insert id="batch_insert_Ywmachinestatusinfo" parameterClass="java.util.List">
	 	<![CDATA[
          INSERT
      	]]>
      	<iterate conjunction=" " > 
			into ywmachinestatusinfo(
			 <![CDATA[ 
				machinestatusid,machineid,machinename,machinedevicetype,machinedeviceid,harddiskdrive,devicecapacity,currentusage,machinedevicestatus,failurecause,statusuptime,statusupbatch,runprogress,createaccount,createtime,modifyaccount,modifytime,remarks,extend1,extend2,extend3,extend4
			)values
			 ]]>  		 
			 <![CDATA[ 
				(
				#list[].machinestatusid#,#list[].machineid#,#list[].machinename#,#list[].machinedevicetype#,#list[].machinedeviceid#,#list[].harddiskdrive#,#list[].devicecapacity#,#list[].currentusage#,#list[].machinedevicestatus#,#list[].failurecause#,#list[].statusuptime#,#list[].statusupbatch#,#list[].runprogress#,#list[].createaccount#,#list[].createtime#,#list[].modifyaccount#,#list[].modifytime#,#list[].remarks#,#list[].extend1#,#list[].extend2#,#list[].extend3#,#list[].extend4#
				)
			]]>    
    	</iterate> 
	</insert>
	
	
	<select id="get_ywmachinestatusinfo" resultClass="java.util.HashMap" parameterClass="java.util.Map">
		select z.* from (
		select x.*,y.machineip,y.machinename,m.memorycapacity as ncrl,h.storagecapacity as yprl from(
		select machineid,statusupbatch,statusuptime,machinedevicestatus,
		(select machinedevicestatus from ywmachinestatusinfo  b where b.machineid=a.machineid and b.statusupbatch=a.statusupbatch and b.machinedevicetype=0) as zjzt,
		(select machinedevicestatus from ywmachinestatusinfo  b where b.machineid=a.machineid and b.statusupbatch=a.statusupbatch and b.machinedevicetype=1) as cpuzt,
		(select currentusage from ywmachinestatusinfo  b where b.machineid=a.machineid and b.statusupbatch=a.statusupbatch and b.machinedevicetype=1) as cpusyl,
		(select machinedevicestatus from ywmachinestatusinfo  b where b.machineid=a.machineid and b.statusupbatch=a.statusupbatch and b.machinedevicetype=2) as nczt,
		(select currentusage from ywmachinestatusinfo  b where b.machineid=a.machineid and b.statusupbatch=a.statusupbatch and b.machinedevicetype=2) as ncsyl,
		(select machinedeviceid from ywmachinestatusinfo  b where b.machineid=a.machineid and b.statusupbatch=a.statusupbatch and b.machinedevicetype=2) as ncid,
		(select machinedevicestatus from ywmachinestatusinfo  b where b.machineid=a.machineid and b.statusupbatch=a.statusupbatch and b.machinedevicetype=3) as ypzt,
		(select currentusage from ywmachinestatusinfo  b where b.machineid=a.machineid and b.statusupbatch=a.statusupbatch and b.machinedevicetype=3) as ypsyl,
		(select machinedeviceid from ywmachinestatusinfo  b where b.machineid=a.machineid and b.statusupbatch=a.statusupbatch and b.machinedevicetype=3) as ypid
		 from ywmachinestatusinfo a 				 
		 group by machineid,statusupbatch) x 
		left join ywmachineinfo y on x.machineid = y.machineid	
		left join ywmachinememory m on x.ncid = m.memoryid  
		left join ywmachineharddisk h on x.ypid = h.harddiskid  
		) z 
		 where 1=1 
		 <isNotEmpty prepend='AND ' property='machinedevicestatus'>
			(z.machinedevicestatus = #machinedevicestatus#   )
		 </isNotEmpty>
		 <isNotEmpty prepend='AND ' property='machinename'>
			(z.machinename like '%$machinename$%'   )
		 </isNotEmpty>
		  <isNotEmpty prepend='AND ' property='machineip'>
			(z.machineip like '%$machineip$%'   )
		 </isNotEmpty>
		 <isNotEmpty prepend='AND ' property='zjzt'>
			(z.zjzt = #zjzt#   )
		 </isNotEmpty>	 
		 <isNotEmpty prepend='AND ' property='startTime'>
			(z.statusuptime &gt;= '$startTime$'   )
		 </isNotEmpty>
		 <isNotEmpty prepend='AND ' property='endTime'>
			(z.statusuptime &lt;= #endTime#  )
		 </isNotEmpty>
		  <!-- <isNotEmpty prepend=' ' property='start'>
			order by z.statusuptime desc limit #start# ,#limit#
		 </isNotEmpty> -->
	</select>
	
	<select id="get_ywmachinestatusinfoCount" resultClass="java.lang.Integer" parameterClass="java.util.Map">
		select count(*) from (
		select x.*,y.machineip,y.machinename from(
		select machineid,statusupbatch,statusuptime
		from ywmachinestatusinfo a 				 
		 group by machineid,statusupbatch) x 
		left join ywmachineinfo y on x.machineid = y.machineid	
		) z 
		 where 1=1 
		 <isNotEmpty prepend='AND ' property='machinename'>
			(z.machinename like '%$machinename$%'   )
		 </isNotEmpty>
		  <isNotEmpty prepend='AND ' property='machineip'>
			(z.machineip like '%$machineip$%'   )
		 </isNotEmpty>
		 <isNotEmpty prepend='AND ' property='zjzt'>
			(z.zjzt = #zjzt#   )
		 </isNotEmpty>	 
		 <isNotEmpty prepend='AND ' property='startTime'>
			(z.statusuptime &gt;= '$startTime$'   )
		 </isNotEmpty>
		 <isNotEmpty prepend='AND ' property='endTime'>
			(z.statusuptime &lt;= #endTime#  )
		 </isNotEmpty>
		  <!-- <isNotEmpty prepend=' ' property='start'>
			limit #start# ,#limit#
		 </isNotEmpty> -->
	</select>


</sqlMap>











